## ghostscript 9.10~dfsg

=== debian/changelog ===
ghostscript (9.10~dfsg-0ubuntu10) trusty; urgency=low

  * debian/patches/1001_pxlcolor-support-jpeg-in-output.patch,
    debian/patches/020140331-4b44b41-pxlcolor-support-jpeg-in-output.patch:
    Replaced preliminary patch by what got actually committed upstream
    (Upstream bug #691880).
  * debian/patches/020140331-41ab485-pxl-transform-deep-images-with-icc-transform-to-emit-high-level-images.patch,
    debian/patches/020140331-8ae4ee2-fixes-pxl-segfault-with-trying-to-set-up-icc-transform-for-bitmasks.patch:
    Transform deep (24-bit) images with an ICC transform to emit high-level
    images (Upstream bug #691880).
  * debian/patches/1002_pxl-make-dicctransform-default.patch: Make deep iamge
    ICC transform default (Upstream bug #695124).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 31 Mar 2014 18:24:33 +0200

ghostscript (9.10~dfsg-0ubuntu9) trusty; urgency=low

  * debian/patches/020140324-b780ff0-protection-against-pxl-segfault-with-image-data-without-colorspace-info.patch:
    Protection against PXL segfault with image data without colorspace info
    (Upstream bug 695103).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 24 Mar 2014 23:47:33 +0100

ghostscript (9.10~dfsg-0ubuntu8) trusty; urgency=low

  * debian/patches/1001_pxlcolor-support-jpeg-in-output.patch: Added JPEG
    output support to the "pxlcolor" PCL-XL output device to vastly reduce
    the size of the output when the input document contains images (Upstream
    bug #691880).
  * debian/patches/020140313-5d6b18a-set-correct-portrait-landscape-orientation-on-pcl-5ce.patch:
    Set correct portrait/landscape orientation on PCL 5c/e output (Upstream
    bug #693715).
  * debian/patches/020140313-6498483-ps2write-fix-a-dsc-comment.patch,
    debian/patches/020140313-095ae57-ps2write-fix-missing-beginresource-comment-for-fontfile-objects.patch:
    Fixes on DSC comments in PostScript output of the "ps2write" device
    Upstream bug #695082).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 13 Mar 2014 12:25:33 +0100

ghostscript (9.10~dfsg-0ubuntu7) trusty; urgency=low

  * debian/patches/020131219-d997bc4-pwgraster-output-device.patch:
    Added "pwgraster" output device to generate the PWG Raster output format,
    an industry-standardized raster input data format for printers.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 19 Dec 2013 22:47:33 +0100

ghostscript (9.10~dfsg-0ubuntu6) trusty; urgency=low

  * debian/patches/020131218-5ddd13e-ps2write-dont-emit-a-page-size-change-if-the-last-request-failed.patch:
    ps2write output device: Don't emit a page size change if the last request
    failed (and was the same size). This prevented from Letter-sized documents
    to be printed double-sided on printers loaded with A4 paper accepting also
    Letter via a printer-internal scale-to-fit or crop-to-fit (Upstream bug
    #694852).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 18 Dec 2013 15:28:33 +0100

ghostscript (9.10~dfsg-0ubuntu5) trusty; urgency=low

  * debian/libgs__VER__.symbols.in: Adjust to support powerpc64le.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 11 Dec 2013 05:20:19 -0700

ghostscript (9.10~dfsg-0ubuntu4) trusty; urgency=low

  * debian/patches/020131127-87a7fd8-cups-pwg-raster-output-ppd-less-support.patch:
    "cups" output device: Added support for PWG Raster output
    ("-sMediaClass=PwgRaster"), PPD-less printing with margins supplied via
    "-c '<</.HWMargins[12 12 12 12] /Margins[0 0]>>setpagedevice'", and fixed
    rounding float numbers to integer.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed,  4 Dec 2013 11:38:33 +0100

ghostscript (9.10~dfsg-0ubuntu3) trusty; urgency=low

  * debian/patches/020131023-ad3e3ed-handle-type-0-font-in-annotation.patch:
    Handle Type 0 font in annotation. This broke printing/displaying certain
    PDF forms (Upstream bug #694734).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri,  1 Nov 2013 15:56:33 +0100

ghostscript (9.10~dfsg-0ubuntu2) saucy; urgency=low

  * debian/patches/020130903-5ae4180-ps-interpreter-dont-interpolate-imagemask-data-for-high-level-devices.patch:
    PS Interpreter: Do not interpolate imagemask data for high level devices.
    This accelerates processing files with embedded bitmap images when the
    output device is a high-level (vector) device. In this case an explicit
    "-dNOINTERPOLATE" on the command line is not needed any more.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 03 Sep 2013 17:42:33 +0200

ghostscript (9.10~dfsg-0ubuntu1) saucy; urgency=low

  * New upstream release
     - Ghostscript 9.10 final release

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 02 Sep 2013 16:31:33 +0200

ghostscript (9.10~dfsg~rc1-0ubuntu2) saucy; urgency=low

  * debian/rules: Commented out "DEB_BUILD_PARALLEL = yes" line to suppress
    parallelized building. This was leading to a race condition which broke
    the "make" process onn the build servers.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 28 Aug 2013 18:05:40 +0200

ghostscript (9.10~dfsg~rc1-0ubuntu1) saucy; urgency=low

  * New upstream release
     - Ghostscript 9.10rc1.
     - Upstream: Mainly, changes to our Postscript startup code (to improve
       compatibility with Adobe) have had unexpected and undesirable side
       effects. Most of these have been in fairly widely relied upon, but also
       decidedly non-standard uses (pdf2dsc being a prime example).
     - We are using Ghostscript's libopenjpeg again, using the system's one
       does not (yet) work as there are still patches of the Ghostscript
       developers which did not get accepted upstream yet..
  * debian/control: Removed build dependency on libopenjpeg-dev.
  * debian/rules: Removed check for removed openjpeg/ subdirectory in the
    repackaging check again, also set build options for using Ghostscript's
    built-in libopenjpeg library.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 28 Aug 2013 18:05:40 +0200


