## ghostscript 9.10%7edfsg

=== debian/changelog ===
ghostscript (9.10~dfsg-0ubuntu10.6) trusty-security; urgency=medium

  * SECURITY UPDATE: Fix regression introduced by fix for CVE-2013-5653
    (LP: #1647276)
    - debian/patches/CVE-2013-5653-regression.patch

 -- Emily Ratliff <emily.ratliff@canonical.com>  Mon, 05 Dec 2016 11:14:11 -0600

ghostscript (9.10~dfsg-0ubuntu10.5) trusty-security; urgency=medium

  * SECURITY UPDATE: Information disclosure through getenv, filenameforall
    - debian/patches/CVE-2013-5653.patch: Have filenameforall and getenv
      honor SAFER
    - CVE-2013-5653
  * SECURITY UPDATE: userparams with %pipe% in paths allow remote shell exec
    - debian/patches/CVE-2016-7976.patch: Add a file permissions callback
    - CVE-2016-7976
  * SECURITY UPDATE: use-after-free and remote code execution
    - debian/patches/CVE-2016-7978.patch: Reference count device icc profile
    - CVE-2016-7978
  * SECURITY UPDATE: type confusion allows remote code execution
    - debian/patches/CVE-2016-7979.patch: DSC parser - validate parameters
    - CVE-2016-7979
  * SECURITY UPDATE: NULL dereference
    - debian/patches/CVE-2016-8602.patch: check for sufficient params
    - CVE-2016-8602 
  * SECURITY UPDATE: fix SAFER permissions
    - debian/patches/safer.patch: Be rigorous with SAFER permissions

 -- Emily Ratliff <emily.ratliff@canonical.com>  Mon, 28 Nov 2016 15:52:57 -0600

ghostscript (9.10~dfsg-0ubuntu10.4) trusty-security; urgency=medium

  * SECURITY UPDATE: integer overflow in gs_heap_alloc_bytes()
    - debian/patches/CVE-2015-3228.patch: added sanity check to
      base/gsmalloc.c.
    - CVE-2015-3228

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 29 Jul 2015 16:03:46 -0400

ghostscript (9.10~dfsg-0ubuntu10.3) trusty; urgency=low

  * debian/patches/lp1342312-infinite-loop.patch: backport upstream patch
    to fix an infinite loop that can hang the gs program in certain
    conditions. (LP: #1342312)

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Wed, 18 Mar 2015 15:40:28 +0800

ghostscript (9.10~dfsg-0ubuntu10.2) trusty-proposed; urgency=low

  * debian/patches/020140626-142b12b-null-check-for-icc-profile.patch:
    Add NULL checks for ICC profiles (LP: #1334712, Upstream bug #694154).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 26 Jun 2014 20:15:33 +0200

ghostscript (9.10~dfsg-0ubuntu10.1) trusty-proposed; urgency=low

  * debian/patches/020140428-f4584b0-skip-unsupported-font-files.patch:
    When Ghostscript is scanning through available font files let it skip
    the ones which it does not understand. Before Ghostscript got totally
    blocked by having one broken or incompatible font installed
    (LP: #1313223, Upstream bug #695031).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 28 Apr 2014 17:28:33 +0200
