## ghostscript 9.14~dfsg

=== debian/changelog ===
ghostscript (9.14~dfsg-0ubuntu3) utopic; urgency=medium

  * debian/patches/1003_gdevcups-fix-cupsrasteropen-pwg-raster.patch:
    The CUPS Raster output device generated incorrect PWG Raster output
    because it called cupsRasterOpen() without the required
    CUPS_RASTER_WRITE_PWG mode setting. Due to the output never being
    tested with an IPP Everywhere printer but only with software which
    also accepts CUPS Raster, the bug did not get discovered until testing
    the output against the mime type recognition of CUPS where it failed.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 15 May 2014 18:36:44 +0200

ghostscript (9.14~dfsg-0ubuntu2) utopic; urgency=medium

  * debian/patches/020140513-3c4cfba-pass-share-lcms-as-a-compiler-flag.patch:
    Pass SHARE_LCMS as a compiler flag.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 13 May 2014 12:27:44 +0200

ghostscript (9.14~dfsg-0ubuntu1) utopic; urgency=medium

  * New upstream release
     - Ghostscript 9.14
     - pdfwrite now uses the same color management engine as Ghostscript
       rendering devices (by default LCMS2). This provides much better
       control over color conversion and color management generally, but
       will result in some small color differences when compared to the
       old system.
       It is no longer necessary to specify UseCIEColor (and we very much
       encourage you not to do this) or the ProcessColorModel if you want
       to convert a PDF file to a specific color space, simply set the
       ColorConversionStrategy appropriately.
       We do not expect any major problems to arise with this new code,
       but for the duration of this release a new switch -dPDFUseOldCMS
       is available which will restore the old color management. See:
       Color Conversion and Management
       Please note that due to constraints of the PDF/A-1 specification,
       the new color management does not yet apply when producing PDF/A
       files.
     - A new device 'eps2write' has been added which allows for the
       creation of EPS files using the ps2write device instead of the old
       (deprecated and removed) pswrite device. This produces
       considerably better quality EPS files than the old epswrite device
       which is now also deprecated and will be removed in a future
       release.
     - ps2write now has a feature to allow customisation of the output
       for specific devices. Please see PSDocOptions and PSPageOptions
       described in ps2ps2.htm Additional Distiller Params
     - Ghostscript now reduces memory usage when processing PDF files
       that use transparency and output is to display devices such as
       Windows display or x11 (i.e. devices that are strictly full
       framebuffer devices), and to high level vector devices that cannot
       reproduce the PDF transparency model, such as the ps2write device
       or pdfwrite when 'flattening' to PDF 1.3 or earlier
       (-dCompatibilityLevel=1.3). This uses banding (clist) files to
       render the transparent areas in bands to reduce memory use, and
       unlike the existing page level banding, this is hidden from the
       target device.
     - Ghostscript can now collect information for pages in temp files
       (in Ghostscript's clist format), then render and output pages for
       the job in arbitrary order, including normal, reverse, odd, even,
       or any order or subset of the pages. This is controlled with the
       --saved-page=___ option. (Note that this only applies to rendering
       devices, and not high level devices such as pdfwrite and
       ps2write.) See: Deferred Page Rendering
     - The Ghostscript device architecture has been extended so that,
       when rendering bands into multiple threads, it is now possible to
       perform post-processing in multiple threads, such as downscale,
       post-render halftoning, or compression. Previously, post
       processing was only possible in the single main thread. This can
       improve performance significantly.
     - Ghostscript has a new "pwgraster" output device for PWG Raster
       output
     - The CUPS device now has improved support for PPD-less printing
     - Plus the usual round of bug fixes, compatibility changes, and
       incremental improvements.
  * debian/patches/020140502-0ccf329-fix-fpng-device-build-handle-shared-zlib.patch:
    Fix fpng device build handle for shared zlib (Upstream bug #695113).
  * debian/patches/020130903-5ae4180-ps-interpreter-dont-interpolate-imagemask-data-for-high-level-devices.patch,
    debian/patches/020131023-ad3e3ed-handle-type-0-font-in-annotation.patch,
    debian/patches/020131127-87a7fd8-cups-pwg-raster-output-ppd-less-support.patch,
    debian/patches/020131218-5ddd13e-ps2write-dont-emit-a-page-size-change-if-the-last-request-failed.patch,
    debian/patches/020131219-d997bc4-pwgraster-output-device.patch,
    debian/patches/020140313-095ae57-ps2write-fix-missing-beginresource-comment-for-fontfile-objects.patch,
    debian/patches/020140313-5d6b18a-set-correct-portrait-landscape-orientation-on-pcl-5ce.patch,
    debian/patches/020140313-6498483-ps2write-fix-a-dsc-comment.patch,
    debian/patches/020140428-f4584b0-skip-unsupported-font-files.patch:
    Removed patches backported from upstream.
  * debian/patches/020140324-b780ff0-protection-against-pxl-segfault-with-image-data-without-colorspace-info.patch,
    debian/patches/020140331-4b44b41-pxlcolor-support-jpeg-in-output.patch,
    debian/patches/020140331-41ab485-pxl-transform-deep-images-with-icc-transform-to-emit-high-level-images.patch,
    debian/patches/1002_pxl-make-dicctransform-default.patch: Refreshed with
    quilt.
  * debian/symbols.common: Updated for new upstream source. Applied patch
    which dpkg-gensymbols generated for debian/libgs9.symbols to this file.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri,  2 May 2014 15:48:44 +0200

ghostscript (9.10~dfsg-0ubuntu11) utopic; urgency=low


