## ghostscript 9.14

=== debian/changelog ===
ghostscript (9.14-1mrtns4) precise; urgency=low

  * Downgrade libtiff dependency for libgs-dev

 -- Maxim Filatov <bregor@evilmartians.com>  Fri, 16 May 2014 16:23:46 +0400

ghostscript (9.14-1mrtns3) precise; urgency=low

  * First stable public build

 -- Maxim Filatov <bregor@evilmartians.com>  Fri, 16 May 2014 15:47:13 +0400

ghostscript (9.14-1mrtns2) unstable; urgency=low

  * Proper clean/install actions in debian/rules

 -- Maxim Filatov <bregor@evilmartians.com>  Fri, 16 May 2014 13:58:18 +0400

ghostscript (9.14-1mrtns1) unstable; urgency=low

  * Martians release 9.14

 -- Maxim Filatov <bregor@evilmartians.com>  Fri, 16 May 2014 00:59:12 +0400
