=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: ghostscript
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Maxim Filatov <bregor@evilmartians.com>
 XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
-Build-Depends: cdbs (>= 0.4.72~),
+Build-Depends: cdbs,
  autoconf,
  debhelper,
  dh-buildinfo,
@@ -28,12 +28,11 @@
  libx11-dev,
  libice-dev,
  libsm-dev,
- liblcms2-dev, 
+ liblcms2-dev,
  pkg-config,
  d-shlibs (>= 0.45~)
 Standards-Version: 3.9.3
-Uploaders: Jonas Smedegaard <dr@jones.dk>,
- Michael Gilbert <michael.s.gilbert@gmail.com>
+Uploaders: Maxim Filatov <bregor@evilmartians.com>
 Homepage: http://www.ghostscript.com/
 Vcs-Git: git://git.debian.org/git/collab-maint/ghostscript.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ghostscript.git
@@ -139,7 +138,7 @@
  libjpeg-dev,
  libpaper-dev,
  libpng12-0-dev,
- libtiff5-dev,
+ libtiff4-dev,
  zlib1g-dev,
  ${cdbs:Depends},
  ${misc:Depends}
