## ghostscript 9.15+dfsg

=== debian/changelog ===
ghostscript (9.15+dfsg-0ubuntu2) vivid; urgency=medium

  * 020150413_3e71154_pdfwrite_optimise_pdf_foget_resource_with_charproc_resources.patch:
    Fixed a long delay caused when Ghostscript converts PostScript files to PDF
    where the PostScript comes from evince when printing a displayed DjVu file
    (LP: #525161, Upstream bug #695778).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 13 Apr 2015 18:37:51 -0300

ghostscript (9.15+dfsg-0ubuntu1) vivid; urgency=medium

  * New upstream release
     - Ghostscript 9.15
     - Ghostscript now supports the PDF security handler revision 6.
     - The pdfwrite and ps2write (and related) devices can now be forced to
       "flatten" glyphs into "basic" marking operations (rather than writing
       fonts to the output), by giving the -dNoOutputFonts command line option
       (defaults to "false")
     - PostScript programs can now use get_params or get_param to determine if
       a page contains color markings by reading the pageneutralcolor state
       from the device (so whether the page is "color" or "mono").
     - Note that this is only accurate when in clist mode, so -dMaxBitmap=0 and
       -dGrayDetection=true should both be used.
     - The pdfwrite device now supports Link annotations with GoTo and GoToR
       actions
     - The pdfwrite device now supports BMC/BDC/EMC pdfmarks
     - Regarding the new color management for the pdfwrite device introduced in
       the previous release, the proscription on using the new color management
       when producing PDF/A-1 compliant files is now lifted.
     - To reiterate, also, with the new color management implementation, using
       the UseCIEColor option is strongly discouraged.
     - For further information on the new pdfwrite color management, see: Color
       Conversion and Management
     - Plus the usual round of bug fixes, compatibility changes, and
       incremental improvements.
  * debian/patches/020140324-b780ff0-protection-against-pxl-segfault-with-image-data-without-colorspace-info.patch,
    debian/patches/020140331-41ab485-pxl-transform-deep-images-with-icc-transform-to-emit-high-level-images.patch,
    debian/patches/020140331-4b44b41-pxlcolor-support-jpeg-in-output.patch,
    debian/patches/020140331-8ae4ee2-fixes-pxl-segfault-with-trying-to-set-up-icc-transform-for-bitmasks.patch,
    debian/patches/020140502-0ccf329-fix-fpng-device-build-handle-shared-zlib.patch,
    debian/patches/020140513-3c4cfba-pass-share-lcms-as-a-compiler-flag.patch:
    Removed patches backported from upstream.
  * debian/patches/1003_gdevcups-fix-cupsrasteropen-pwg-raster.patch: Fix was
    included upstream, but not correctly. Reduced the patch to what corrects
    the fix.
  * debian/patches/1002_pxl-make-dicctransform-default.patch: Refreshed with
    quilt.
  * debian/symbols.common: Updated for new upstream source. Applied patch
    which dpkg-gensymbols generated for debian/libgs9.symbols to this file.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 11 Feb 2015 00:39:51 -0200

ghostscript (9.14~dfsg-0ubuntu4) vivid; urgency=medium

  * No change rebuild to get debug symbols on all architectures.

 -- Brian Murray <brian@ubuntu.com>  Thu, 11 Dec 2014 08:58:20 -0800
