## ghostscript 9.16~dfsg~0

=== debian/changelog ===
ghostscript (9.16~dfsg~0-0ubuntu3) wily; urgency=medium

  * debian/rules: Demote texlive-lang-cjk from Recommends: to Suggests:
    as it pulls in a large amount of unneeded packages (LP: #1449875).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat, 19 Sep 2015 13:51:09 -0300

ghostscript (9.16~dfsg~0-0ubuntu2) wily; urgency=medium

  * debian/rules: Recommend texlive-lang-cjk as some files make
    Ghostscript fail (LP: #1449875).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 18 Sep 2015 16:35:09 -0300

ghostscript (9.16~dfsg~0-0ubuntu1) wily; urgency=medium

  * New upstream release
     - Ghostscript 9.16
     - "LockColorants" command line option for tiffsep and psdcmyk
       devices. Specifying -dLockColorants will restrict those devices to
       only the colorants list on the command line (thus: -c "<<
       /SeparationColorNames [ /Cyan /Magenta /Yellow /Black /Violet
       /Orange] /SeparationOrder [ /Cyan /Magenta /Yellow /Black /Violet
       /Orange]>> setpagedevice"), rather than allowing the devices to
       add new colorants as encountered in the input. This is, obviously,
       preferable for real printers, where only a certain of inks will be
       available.
     - Improved high level devices handling of Forms. Whilst High level
       devices (eg pdfwrite) already checked Forms to see if they are
       duplicates, and if so use the initial definition. However, this
       does not improve performance, since the Form PaintProc still needs
       to be executed for each instance of the Form, and the matching
       algorithm could, in very odd circumstances, be defeated. The new
       implementation benefits both causes, meaning the second and
       subsequent invocation of the form need not re-run the PaintProc,
       and removes the heurisic aspect of the reuse detection.
     - New URW+ fonts in which the families NimbusMono, NimbusRoman and
       NimbusSans have been augmented with production quality Greek and
       Cyrillic glyphs. These correspond to our substitutes for the PDF
       base 14 fonts.
     - Plus the usual round of bug fixes, compatibility changes, and
       incremental improvements.
  * 020150413_3e71154_pdfwrite_optimise_pdf_foget_resource_with_charproc_resources.patch:
    Removed, included upstream.
  * 2003_support_multiarch.patch: Refreshed with quilt.
  * debian/rules: Added "zlib_h=" to "make" command line to work around
    bug in build system.
  * debian/symbols.common: Updated for new upstream source. Applied patch
    which dpkg-gensymbols generated for debian/libgs9.symbols to this file.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 18 Aug 2015 22:38:09 -0300

ghostscript (9.15+dfsg-0ubuntu4) wily; urgency=medium

  * debian/patches/020150724_0c0b085_sanity_check_for_memory_allocation.patch:
    Added a sanity check for memory allocation, to avoid an integer overflow
    (Upstream bug #696070, CVE 2015-3228).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 24 Jul 2015 17:00:00 -0300

ghostscript (9.15+dfsg-0ubuntu3) wily; urgency=medium

  * debian/patches/1003_gdevcups-fix-cupsrasteropen-pwg-raster.patch:
    Removed, not needed any more.
  * debian/patches/020150523_d73a342_gdevcups_support_color_spaces_18_19_20.patch:
    "cups"/"pwgraster" output devices: Added support for color spaces
    18 (SGray), 19 (SRGB), and 20 (Adobe RGB).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat, 23 May 2015 18:05:51 -0300
